rm -f *.err
rm -rf temp-scripts

mkdir temp-scripts


for experiment in Experiment00.llscript Experiment01.llscript Experiment02.llscript   Experiment10.llscript Experiment11.llscript Experiment12.llscript   Experiment20.llscript Experiment21.llscript Experiment22.llscript    Experiment30.llscript Experiment31.llscript Experiment32.llscript     Experiment40.llscript Experiment41.llscript Experiment42.llscript     Experiment50.llscript Experiment51.llscript Experiment52.llscript 
do
 for nodes in 1 2 4 6 8 12 16  
 do
  for dim in Dim2 Dim3
  do 
    destscriptname=$experiment"_"$dim"_"$nodes
    sed "s/NODES/$nodes/g" $experiment             > temp-scripts/tmp.script
    sed "s/DIM/$dim/g"     temp-scripts/tmp.script > temp-scripts/$destscriptname
    echo Submit $destscriptname
    llsubmit temp-scripts/$destscriptname
  done
 done
done

llq -u $USER
