#$ -cwd -V
#$ -l h_rt=02:00:00
#$ -l nodes=NODES,ppn=6
#$ -j y
#$ -m e
#$ -l placement=good
#$ -M tobias.weinzierl@durham.ac.uk
cd
cd mpi-dt-impact

DAM=1.0
HYBRIDCORES=4
PPC=100

FLOPS=0

  OUTPUTFILE="/nobackup/durtw/mpi-dt-impact/polaris_pit_PARTICLES-particles_dt-DT_RANKS-ranks-DIM.out"
  mpiexec ./peano-MPI-noTBB-DIM pit simulation,split-tree,no,no PARTICLES $PPC DT $DAM $FLOPS 64 0 > $OUTPUTFILE

  OUTPUTFILE="/nobackup/durtw/mpi-dt-impact/polaris_pidt_PARTICLES-particles_dt-DT_RANKS-ranks-DIM.out"
  mpiexec ./peano-MPI-noTBB-DIM pidt simulation,split-tree,no,no PARTICLES $PPC DT $DAM $FLOPS 64 0 > $OUTPUTFILE

  OUTPUTFILE="/nobackup/durtw/mpi-dt-impact/polaris_rapidt_PARTICLES-particles_dt-DT_RANKS-ranks-DIM.out"
  mpiexec ./peano-MPI-noTBB-DIM pidt simulation,split-tree,no,skip-reduce PARTICLES $PPC DT $DAM $FLOPS 64 0 > $OUTPUTFILE
