#$ -cwd -V
#$ -l h_rt=08:00:00
#$ -l nodes=NODES,ppn=6
#$ -j y
#$ -m e
#$ -l placement=good
#$ -M tobias.weinzierl@durham.ac.uk
cd
cd mpi-rapidt

VARIANT=pidt
DT=0.0001
DAM=1.0
HYBRIDCORES=4

for FLOPS in 0 128 256 1024 4096
do
for DIM in DDim2 DDim3
do
for PPC in 100000 10000 1000 100
do

  OUTPUTFILE="/nobackup/durtw/mpi-rapidt/polaris_mpi_PARTICLES-particles_"$PPC"-ppc_RANKS-ranks-"$DIM"-"$FLOPS"-flops-per-particle.out"
  mpiexec ./peano-MPI-noTBB-$DIM $VARIANT simulation,split-tree,no,skip-reduce PARTICLES $PPC $DT $DAM $FLOPS 64 0 > $OUTPUTFILE

done
done
done 
