#!/bin/bash


PARTICLES=100000

for DIM in DDim2 DDim3
do
for VARIANT in pit pidt
do
for SAMPLE in 0 1 2 3 4 5 6 7 8 9 
do
for PPC in 10000000 1000000 100000 10000 1000 100 10 
do 
for DT in 0.00001 0.0001 0.001 0.01 0.1 1
do 
  OUTPUTFILE="workstation_"$DIM"_"$VARIANT"_1e7_"$PPC"_"$DT"_1.0_"$SAMPLE".out"
  echo create $OUTPUTFILE
  ./peano-noTBB-noMPI-$DIM $VARIANT simulation,no,no,no $PARTICLES $PPC $DT 1.0 > $OUTPUTFILE

  OUTPUTFILE="workstation_"$DIM"_"$VARIANT"_1e7_"$PPC"_"$DT"_0.1_"$SAMPLE".out"
  echo create $OUTPUTFILE
  ./peano-noTBB-noMPI-$DIM $VARIANT simulation,no,no,no $PARTICLES $PPC $DT 0.1 > $OUTPUTFILE
done
done
done
done
done
