#
# param 1:   template file
# param 2:   d
# param 3:   particles
# param 4:   dt
# param 5:   nodes
#


templateFile=$1
d=$2
particles=$3
dt=$4
nodes=$5


echo submit $templateFile with $d and $particles particles and dt $dt on $nodes nodes


ranks=$((nodes*6))
scriptFile="temp-scripts/MPI_"$particles"_"$ranks".sh"
sed "s/DIM/$d/g" $templateFile > temp-scripts/tmp2.sh
sed "s/RANKS/$ranks/g" temp-scripts/tmp2.sh > temp-scripts/tmp1.sh
sed "s/PARTICLES/$particles/g" temp-scripts/tmp1.sh > temp-scripts/tmp2.sh
sed "s/DT/$dt/g" temp-scripts/tmp2.sh > temp-scripts/tmp1.sh
sed "s/NODES/$nodes/g" temp-scripts/tmp1.sh > $scriptFile
echo Submit $scriptFile
llsubmit $scriptFile
