rm -f *.err
rm -rf temp-scripts

mkdir temp-scripts
mkdir /nobackup/durtw/mpi-dt-impact/


for d in DDim2 DDim3
do
  templateFile="GeneralClassPolaris.csh"

  #
  # 10^7 particles
  #
  particles=10000000

  dt=0.01
  for nodes in 1 2 3 4 6 8 12 16 32 48 64 
  do
    ./create-one-run-Polaris.csh $templateFile $d $particles $dt $nodes
  done

  dt=0.001
  for nodes in 4 6 8 12 16 32 48 64 80 96 128  
  do
    ./create-one-run-Polaris.csh $templateFile $d $particles $dt $nodes
  done

  dt=0.0001
  for nodes in 12 16 32 48 64 80 96 128 144 160  
  do
    ./create-one-run-Polaris.csh $templateFile $d $particles $dt $nodes
  done

  particles=20000000

  dt=0.001
  for nodes in 2 3 4 6 8 12 16 32 48 64 
  do
    ./create-one-run-Polaris.csh $templateFile $d $particles $dt $nodes
  done

  dt=0.0001
  for nodes in 4 6 8 12 16 32 48 64 80 96 128  
  do
    ./create-one-run-Polaris.csh $templateFile $d $particles $dt $nodes
  done

  dt=0.00001
  for nodes in 12 16 32 48 64 80 96 128 144 160  
  do
    ./create-one-run-Polaris.csh $templateFile $d $particles $dt $nodes
  done

  particles=40000000

  dt=0.0001
  for nodes in 2 3 4 6 8 12 16 32 48 64 
  do
    ./create-one-run-Polaris.csh $templateFile $d $particles $dt $nodes
  done

  dt=0.00001
  for nodes in 4 6 8 12 16 32 48 64 80 96 128  
  do
    ./create-one-run-Polaris.csh $templateFile $d $particles $dt $nodes
  done

  dt=0.000001
  for nodes in 12 16 32 48 64 80 96 128 144 160  
  do
    ./create-one-run-Polaris.csh $templateFile $d $particles $dt $nodes
  done







  #
  # 10^8 particles
  #
  particles=100000000

  dt=0.001
  for nodes in 12 16 24 32 64 96 128 160  
  do
    ./create-one-run-Polaris.csh $templateFile $d $particles $dt $nodes
  done

  dt=0.0001
  for nodes in 24 32 64 96 128 160 192 224  
  do
    ./create-one-run-Polaris.csh $templateFile $d $particles $dt $nodes
  done

  dt=0.00001
  for nodes in 24 32 64 96 128 160 192 224 256 288  
  do
    ./create-one-run-Polaris.csh $templateFile $d $particles $dt $nodes
  done

  particles=200000000

  dt=0.0001
  for nodes in 12 16 24 32 64 96 128 160  
  do
    ./create-one-run-Polaris.csh $templateFile $d $particles $dt $nodes
  done

  dt=0.00001
  for nodes in 24 32 64 96 128 160 192 224  
  do
    ./create-one-run-Polaris.csh $templateFile $d $particles $dt $nodes
  done

  dt=0.000001
  for nodes in 24 32 64 96 128 160 192 224 256 288  
  do
    ./create-one-run-Polaris.csh $templateFile $d $particles $dt $nodes
  done

  particles=400000000

  dt=0.00001
  for nodes in 12 16 24 32 64 96 128 160  
  do
    ./create-one-run-Polaris.csh $templateFile $d $particles $dt $nodes
  done

  dt=0.000001
  for nodes in 24 32 64 96 128 160 192 224  
  do
    ./create-one-run-Polaris.csh $templateFile $d $particles $dt $nodes
  done

  dt=0.0000001
  for nodes in 24 32 64 96 128 160 192 224 256 288  
  do
    ./create-one-run-Polaris.csh $templateFile $d $particles $dt $nodes
  done
done

qstat
